kind: Flow
apiVersion: logging.banzaicloud.io/v1beta1
metadata:
  name: {{ .FlowName }}
spec:
  filters:
    - parser:
        emit_invalid_record_to_error: false
        key_name: log
        parse:
          patterns:
          - format: json
          - expression: /(?<message>.*)/
            format: regexp
          type: multi_format
        remove_key_name_field: true
        reserve_data: true
        reserve_time: true
    - throttle: #The throttle rate is set to 100 records/sec
        group_bucket_period_s: 60
        group_bucket_limit: 6000
        group_key: kubernetes.container_name
        group_reset_rate_s: -1

    # include logs if upstream namespace match with specified namespaces
    - grep:
        regexp:
        - key: upstreamNamespace
          pattern: /({{ .NamespaceList }})/
    - record_modifier:
        records:
        - k8s_cluster: "{{ .ClusterName }}"
    - record_transformer: 
        remove_keys: $.kubernetes.labels, $.kubernetes.annotations
        
  match:
    - select: {}
  globalOutputRefs:
    - "{{ $.Output }}"
